Uploaded image for project: 'Debezium'
  1. Debezium
  2. DBZ-3705

Example end-to-end fails due to an API incompatibility with Maven 3.6+

    XMLWordPrintable

Details

    Description

      When the workflow for the [end-to-end] demo executes it encounters the following error:

      Error:  Failed to execute goal org.wildfly.swarm:wildfly-swarm-plugin:2018.1.0:package (default) on project debezium-swarm-demo: Execution default of goal org.wildfly.swarm:wildfly-swarm-plugin:2018.1.0:package failed: An API incompatibility was encountered while executing org.wildfly.swarm:wildfly-swarm-plugin:2018.1.0:package: java.lang.AbstractMethodError: Receiver class org.wildfly.swarm.plugin.maven.RepositorySystemSessionWrapper does not define or inherit an implementation of the resolved method 'abstract org.eclipse.aether.transform.FileTransformerManager getFileTransformerManager()' of interface org.eclipse.aether.RepositorySystemSession.
      Error:  -----------------------------------------------------
      Error:  realm =    plugin>org.wildfly.swarm:wildfly-swarm-plugin:2018.1.0
      Error:  strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy
      Error:  urls[0] = file:/home/runner/.m2/repository/org/wildfly/swarm/wildfly-swarm-plugin/2018.1.0/wildfly-swarm-plugin-2018.1.0.jar
      Error:  urls[1] = file:/home/runner/.m2/repository/org/wildfly/swarm/fraction-metadata/2018.1.0/fraction-metadata-2018.1.0.jar
      Error:  urls[2] = file:/home/runner/.m2/repository/org/wildfly/swarm/meta-spi/2018.1.0/meta-spi-2018.1.0.jar
      Error:  urls[3] = file:/home/runner/.m2/repository/org/jboss/shrinkwrap/descriptors/shrinkwrap-descriptors-impl-javaee/2.0.0/shrinkwrap-descriptors-impl-javaee-2.0.0.jar
      Error:  urls[4] = file:/home/runner/.m2/repository/org/jboss/shrinkwrap/descriptors/shrinkwrap-descriptors-impl-base/2.0.0/shrinkwrap-descriptors-impl-base-2.0.0.jar
      Error:  urls[5] = file:/home/runner/.m2/repository/org/jboss/shrinkwrap/descriptors/shrinkwrap-descriptors-spi/2.0.0/shrinkwrap-descriptors-spi-2.0.0.jar
      Error:  urls[6] = file:/home/runner/.m2/repository/org/ow2/asm/asm/6.0/asm-6.0.jar
      Error:  urls[7] = file:/home/runner/.m2/repository/com/eclipsesource/minimal-json/minimal-json/0.9.4/minimal-json-0.9.4.jar
      Error:  urls[8] = file:/home/runner/.m2/repository/org/wildfly/swarm/tools/2018.1.0/tools-2018.1.0.jar
      Error:  urls[9] = file:/home/runner/.m2/repository/org/wildfly/swarm/bootstrap/2018.1.0/bootstrap-2018.1.0.jar
      Error:  urls[10] = file:/home/runner/.m2/repository/org/jboss/modules/jboss-modules/1.6.1.Final/jboss-modules-1.6.1.Final.jar
      Error:  urls[11] = file:/home/runner/.m2/repository/org/yaml/snakeyaml/1.17/snakeyaml-1.17.jar
      Error:  urls[12] = file:/home/runner/.m2/repository/org/jboss/shrinkwrap/shrinkwrap-api/1.2.6/shrinkwrap-api-1.2.6.jar
      Error:  urls[13] = file:/home/runner/.m2/repository/org/jboss/shrinkwrap/shrinkwrap-spi/1.2.6/shrinkwrap-spi-1.2.6.jar
      Error:  urls[14] = file:/home/runner/.m2/repository/org/jboss/shrinkwrap/shrinkwrap-impl-base/1.2.6/shrinkwrap-impl-base-1.2.6.jar
      Error:  urls[15] = file:/home/runner/.m2/repository/org/jboss/shrinkwrap/descriptors/shrinkwrap-descriptors-api-jboss/2.0.0/shrinkwrap-descriptors-api-jboss-2.0.0.jar
      Error:  urls[16] = file:/home/runner/.m2/repository/org/jboss/shrinkwrap/descriptors/shrinkwrap-descriptors-api-javaee/2.0.0/shrinkwrap-descriptors-api-javaee-2.0.0.jar
      Error:  urls[17] = file:/home/runner/.m2/repository/org/jboss/shrinkwrap/descriptors/shrinkwrap-descriptors-api-base/2.0.0/shrinkwrap-descriptors-api-base-2.0.0.jar
      Error:  urls[18] = file:/home/runner/.m2/repository/org/jboss/shrinkwrap/descriptors/shrinkwrap-descriptors-impl-jboss/2.0.0/shrinkwrap-descriptors-impl-jboss-2.0.0.jar
      Error:  urls[19] = file:/home/runner/.m2/repository/net/lingala/zip4j/zip4j/1.3.2/zip4j-1.3.2.jar
      Error:  urls[20] = file:/home/runner/.m2/repository/org/wildfly/swarm/spi/2018.1.0/spi-2018.1.0.jar
      Error:  urls[21] = file:/home/runner/.m2/repository/org/jboss/jandex/2.0.4.Final/jandex-2.0.4.Final.jar
      Error:  urls[22] = file:/home/runner/.m2/repository/org/codehaus/plexus/plexus-utils/3.0.20/plexus-utils-3.0.20.jar
      Error:  urls[23] = file:/home/runner/.m2/repository/org/eclipse/aether/aether-util/1.0.0.v20140518/aether-util-1.0.0.v20140518.jar
      Error:  Number of foreign imports: 1
      Error:  import: Entry[import  from realm ClassRealm[maven.api, parent: null]]
      

      The demo should be upgraded to Thorntail for compatibility with Maven 3.6+.

      Attachments

        Activity

          People

            ccranfor@redhat.com Chris Cranford
            ccranfor@redhat.com Chris Cranford
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: